<?xml version="1.0"?>
<?AutomationRuntimeIOSystem Version = 2.5.0.7?>
<ChannelConfiguration xmlns="http://www.br-automation.com/AR/IO">
  <Module ID="$root" Hardware="X20CP1381-RT" HardwareModuleName="X20CP1381_RT" ModuleID="1">
    <Channel ID="SerialNumber" Description="Serial number" Ext="/HW" Address="0" Direction="IN" Type="UDINT" Sig_St_Udint="1" ChannelType="SerialNumber" />
    <Channel ID="ModuleID" Description="Module ID" Ext="/HW" Address="1" Direction="IN" Type="UINT" Sig_St_Uint="1" ChannelType="ModuleID" />
    <Channel ID="HardwareVariant" Description="Hardware variant" FromVersion="J4.25" Ext="/HW" Address="15" Direction="IN" Type="UINT" ChannelType="HardwareVariant" />
    <Channel ID="FirmwareVersion" Description="Firmware version" FromVersion="J4.25" Ext="/HW" Address="16" Direction="IN" Type="UINT" ChannelType="FirmwareVersion" />
    <Channel ID="TemperatureCPU" Description="Temperature CPU [1/10°C]" Ext="/HW" Address="5" Direction="IN" Type="UINT" Sig_Temp_CpuTemp="1" ChannelType="Temp" Ordinal="2" />
    <Channel ID="TemperatureENV" Description="Temperature cooling plate [1/10°C]" Ext="/HW" Address="4" Direction="IN" Type="UINT" Sig_Temp_CpuTemp="1" ChannelType="Temp" Ordinal="1" />
    <Channel ID="SystemTime" Description="System time at the start of the current task cycle [µs]" Ext="/HW" Address="9" Direction="IN" Type="DINT" Sig_St_Dint="1" ChannelType="SystemTime" />
    <Channel ID="RTEnable" Description="Enable RT Engine" Address="0x81" BitOffset="0" Direction="OUT" Type="BOOL" />
    <Channel ID="RTEngineRun" Description="RT Engine running" Address="0x91" BitOffset="0" Direction="IN" Type="BOOL" />
    <Channel ID="RTCycleTimeOverrun" Description="RT cycle time overrun" Address="0x91" BitOffset="1" Direction="IN" Type="BOOL" />
    <Channel ID="RTFileInvalid" Description="RT file invalid" Address="0x91" BitOffset="4" Direction="IN" Type="BOOL" />
    <Channel ID="RTFunctionInvalid" Description="RT function invalid" Address="0x91" BitOffset="5" Direction="IN" Type="BOOL" />
    <Channel ID="RTInstanceInvalid" Description="RT instance invalid" Address="0x91" BitOffset="6" Direction="IN" Type="BOOL" />
    <Channel ID="RTFileNotLoaded" Description="No RT file loaded" Address="0x91" BitOffset="7" Direction="IN" Type="BOOL" />
    <Channel ID="RTCycleCounter" Description="RT cycle counter" Address="0x9A" Direction="IN" Type="UINT" />
    <Channel ID="RTCycleTime" Description="RT cycle time [10 ns]" Address="0x96" Direction="IN" Type="UINT" />
    <Channel ID="IF3.LinkOk" Description="Link state" Ext="/INFO" Address="0x8000001A" BitOffset="0" Direction="IN" Type="BOOL" Sig_St_Bool="1" />
    <Channel ID="IF3.OutputDMAMargin" Description="Margin to output cycle deadline in microseconds" Ext="/INFO" Address="0x8000000C" Direction="IN" Type="DINT" Sig_St_Dint="1" />
    <Channel ID="IF3.NodeNumber" Description="Node number currently in use (255 = invalid)" FromVersion="B2.87" Ext="/INFO" Direction="IN" Type="USINT" Sig_St_Usint="1" />
    <Channel ID="IF3.CycleOk" Description="Indication for proper cyclic operation (1 = operational)" FromVersion="B2.87" Ext="/INFO" Direction="IN" Type="BOOL" Sig_St_Bool="1" />
    <Channel ID="IF3.SyncOk" Description="Indication for a synchronized POWERLINK-system (1 = synchronized)" FromVersion="B2.87" Ext="/INFO" Direction="IN" Type="BOOL" Sig_St_Bool="1" />
    <Channel ID="IF3.TimeSeconds" Description="Absolute time extracted from current SoC-Frame (NetTime in POWERLINK V2) - Seconds" FromVersion="M2.90" Ext="/INFO" Direction="IN" Type="UDINT" Sig_St_Udint="1" />
    <Channel ID="IF3.TimeNanoseconds" Description="Absolute time extracted from current SoC-Frame (NetTime in POWERLINK V2) - Nanoseconds" FromVersion="M2.90" Ext="/INFO" Direction="IN" Type="UDINT" Sig_St_Udint="1" />
    <Channel ID="IF3.NettimeSoC" Description="Network time extracted from current SoC-Frame [µs] (RelativeTime in POWERLINK V2)" FromVersion="B2.87" Ext="/INFO" Direction="IN" Type="DINT" Sig_St_Dint="1" />
    <Channel ID="IF3.NettimeOffset" Description="Network time offset to local system time [µs]" FromVersion="B2.87" Ext="/INFO" Direction="IN" Type="DINT" Sig_St_Dint="1" />
    <Channel ID="IF3.CycleCount" Description="Overall number of bus cycles" FromVersion="I2.85" Ext="/INFO" Direction="IN" Type="UDINT" Sig_St_Udint="1" />
    <Channel ID="IF3.FailedCycleCount" Description="Number of failed bus cycles" FromVersion="I2.85" Ext="/INFO" Direction="IN" Type="UDINT" Sig_St_Udint="1" />
    <Channel ID="IF3.CycleTimeViolationCount" Description="Number of cycle time violations" FromVersion="I2.85" Ext="/INFO" Direction="IN" Type="UDINT" Sig_St_Udint="1" />
    <Channel ID="IF3.CycleIdleTime" Description="Unoccupied time during one POWERLINK cycle [µs]" FromVersion="B2.87" Ext="/INFO" Direction="IN" Type="UDINT" Sig_St_Udint="1" />
    <Channel ID="IF3.CycleCongestionCount" Description="allways 0, available for legacy projects" FromVersion="B2.87" Ext="/INFO" Direction="IN" Type="UDINT" Sig_St_Udint="1" />
    <Channel ID="IF6.CycleCount" Description="Number of bus cycles" FromVersion="I2.85" Ext="/INFO" Direction="IN" Type="DINT" Sig_St_Dint="1" />
    <Channel ID="IF6.BreakCount" Description="Number of bus cycles with set break signal" FromVersion="I2.85" Ext="/INFO" Direction="IN" Type="DINT" Sig_St_Dint="1" />
    <Channel ID="IF6.Nettime" Description="Timestamp when the current input frame was started  [µs]" FromVersion="I2.90" Ext="/INFO" Direction="IN" Type="DINT" Sig_St_Dint="1" />
    <Channel ID="IF6.SyncErrorCount" Description="Number of failed synchronous frames" FromVersion="I2.85" Ext="/INFO" Direction="IN" Type="DINT" Sig_St_Dint="1" />
    <Channel ID="IF6.SyncSramErrorCount" Description="Number of memory access errors within synchronous frame (overflow/underrun)" FromVersion="I2.85" Ext="/INFO" Direction="IN" Type="DINT" Sig_St_Dint="1" />
    <Channel ID="IF6.SyncBusyErrorCount" Description="Number of not sent synchronous frames (sender not ready)" FromVersion="I2.85" Ext="/INFO" Direction="IN" Type="DINT" Sig_St_Dint="1" />
    <Channel ID="IF6.SyncNoRxErrorCount" Description="Number of not received synchronous frames (timeout)" FromVersion="I2.85" Ext="/INFO" Direction="IN" Type="DINT" Sig_St_Dint="1" />
    <Channel ID="IF6.SyncFormatErrorCount" Description="Number of faulty synchronous frames" FromVersion="I2.85" Ext="/INFO" Direction="IN" Type="DINT" Sig_St_Dint="1" />
    <Channel ID="IF6.SyncPendingErrorCount" Description="Number of synchronous frames which could not be sent because of receiving a frame" FromVersion="I2.85" Ext="/INFO" Direction="IN" Type="DINT" Sig_St_Dint="1" />
    <Channel ID="IF6.AsyncErrorCount" Description="Number of failed asynchronous frames" FromVersion="I2.85" Ext="/INFO" Direction="IN" Type="DINT" Sig_St_Dint="1" />
    <Channel ID="IF6.AsyncSramErrorCount" Description="Number of memory access errors within asynchronous frame (overflow/underrun)" FromVersion="I2.85" Ext="/INFO" Direction="IN" Type="DINT" Sig_St_Dint="1" />
    <Channel ID="IF6.AsyncBusyErrorCount" Description="Number of not sent asynchronous frames (sender not ready)" FromVersion="I2.85" Ext="/INFO" Direction="IN" Type="DINT" Sig_St_Dint="1" />
    <Channel ID="IF6.AsyncNoRxErrorCount" Description="Number of not received asynchronous frames (timeout)" FromVersion="I2.85" Ext="/INFO" Direction="IN" Type="DINT" Sig_St_Dint="1" />
    <Channel ID="IF6.AsyncFormatErrorCount" Description="Number of faulty asynchronous frames" FromVersion="I2.85" Ext="/INFO" Direction="IN" Type="DINT" Sig_St_Dint="1" />
    <Channel ID="IF6.AsyncPendingErrorCount" Description="Number of asynchronous frames which could not be sent because of receiving a frame" FromVersion="I2.85" Ext="/INFO" Direction="IN" Type="DINT" Sig_St_Dint="1" />
    <Channel ID="IF6.DMALateOutputErrorCount" Description="Number of cycles when DMA for cyclic outputs was too late" FromVersion="G2.93" Ext="/INFO" Direction="IN" Type="DINT" Sig_St_Dint="1" />
    <Channel ID="IF6.NrOfStationsMax" Description="Number of max. stations" FromVersion="A3.08" Ext="/INFO" Address="0x80000113" Direction="IN" Type="USINT" Sig_St_Usint="1" />
    <Channel ID="IF6.NrOfStationsConfigured" Description="Number of configured stations" FromVersion="A3.08" Ext="/INFO" Address="0x80000114" Direction="IN" Type="USINT" Sig_St_Usint="1" />
    <Channel ID="IF6.StationAtBusEnd" Description="Station at end of bus" FromVersion="A3.08" Ext="/INFO" Address="0x80000115" Direction="IN" Type="USINT" Sig_St_Usint="1" />
    <Channel ID="IF6.StationAtBusEndChangeTime" Description="Time of last change at station on end of bus" FromVersion="A3.08" Ext="/INFO" Address="0xC0000115" Direction="IN" Type="DATE_AND_TIME" Sig_St_Dt="1" />
    <Channel ID="IF6.StationPastOutFrameError" Description="First station which recognizes output frame error" FromVersion="A3.08" Ext="/INFO" Address="0x80000116" Direction="IN" Type="USINT" Sig_St_Usint="1" />
    <Channel ID="IF6.StationPastOutFrameErrorChangeTime" Description="Time of last change of channel StationPastOutFrameError" FromVersion="A3.08" Ext="/INFO" Address="0xC0000116" Direction="IN" Type="DATE_AND_TIME" Sig_St_Dt="1" />
    <Channel ID="IF6.StationPastInFrameError" Description="First station which recognizes input frame error" FromVersion="A3.08" Ext="/INFO" Address="0x80000117" Direction="IN" Type="USINT" Sig_St_Usint="1" />
    <Channel ID="IF6.StationPastInFrameErrorChangeTime" Description="Time of last change of channel StationPastInFrameError" FromVersion="A3.08" Ext="/INFO" Address="0xC0000117" Direction="IN" Type="DATE_AND_TIME" Sig_St_Dt="1" />
    <Channel ID="IF6.SyncInFrameSize" Description="Size of synchronous input frame [Bytes]" FromVersion="A3.08" Ext="/INFO" Address="0x80000118" Direction="IN" Type="DINT" Sig_St_Dint="1" />
    <Channel ID="IF6.SyncOutFrameSize" Description="Size of synchronous output frame [Bytes]" FromVersion="A3.08" Ext="/INFO" Address="0x80000119" Direction="IN" Type="DINT" Sig_St_Dint="1" />
    <Channel ID="IF6.AsyncFrameSize" Description="Size of asynchronous frame [Bytes]" FromVersion="A3.08" Ext="/INFO" Address="0x8000011A" Direction="IN" Type="DINT" Sig_St_Dint="1" />
    <Channel ID="IF6.AsyncFrameSpareSize" Description="Size reserve within asynchronous frame [Bytes]" FromVersion="A3.08" Ext="/INFO" Address="0x8000011B" Direction="IN" Type="DINT" Sig_St_Dint="1" />
    <Channel ID="IF6.BusLengthConfigured" Description="Configured bus length [m]" FromVersion="A3.08" Ext="/INFO" Address="0x8000011C" Direction="IN" Type="DINT" Sig_St_Dint="1" />
  </Module>
  <Module ID="X1" Hardware="X1" HardwareModuleName="X1" ModuleID="13" Simulatable="true">
    <Channel ID="DigitalInput01" Description="24 VDC, 0.2 to 25 ms switching delay, sink" Address="0x0000" BitOffset="0" Direction="IN" Type="BOOL" />
    <Channel ID="DigitalInput02" Description="24 VDC, 0.2 to 25 ms switching delay, sink" Address="0x0000" BitOffset="1" Direction="IN" Type="BOOL" />
    <Channel ID="DigitalInput03" Description="24 VDC, 0.2 to 25 ms switching delay, sink" Address="0x0000" BitOffset="2" Direction="IN" Type="BOOL" />
    <Channel ID="DigitalInput04" Description="24 VDC, 0.2 to 25 ms switching delay, sink" Address="0x0000" BitOffset="3" Direction="IN" Type="BOOL" />
    <Channel ID="AnalogInput01" Description="±10 V, resolution 12 bit" Address="0x0040" Direction="IN" Type="INT" />
    <Channel ID="AnalogInput02" Description="±10 V, resolution 12 bit" Address="0x0042" Direction="IN" Type="INT" />
    <Channel ID="StatusInput01" Description="Status of analog inputs" Address="0x0050" Direction="IN" Type="USINT" />
  </Module>
  <Module ID="X2" Hardware="X2" HardwareModuleName="X2" ModuleID="16" Simulatable="true">
    <Channel ID="DigitalInput01" Description="24 VDC, 0.2 to 25 ms switching delay, sink" Address="0x1000" BitOffset="0" Direction="IN" Type="BOOL" />
    <Channel ID="DigitalInput02" Description="24 VDC, 0.2 to 25 ms switching delay, sink" Address="0x1000" BitOffset="1" Direction="IN" Type="BOOL" />
    <Channel ID="DigitalInput03" Description="24 VDC, 0.2 to 25 ms switching delay, sink" Address="0x1000" BitOffset="2" Direction="IN" Type="BOOL" />
    <Channel ID="DigitalInput04" Description="24 VDC, 0.2 to 25 ms switching delay, sink" Address="0x1000" BitOffset="3" Direction="IN" Type="BOOL" />
    <Channel ID="DigitalInput05" Description="24 VDC, 0.2 to 25 ms switching delay, sink" Address="0x1000" BitOffset="4" Direction="IN" Type="BOOL" />
    <Channel ID="DigitalInput06" Description="24 VDC, 0.2 to 25 ms switching delay, sink" Address="0x1000" BitOffset="5" Direction="IN" Type="BOOL" />
    <Channel ID="DigitalInput07" Description="24 VDC, 0.2 to 25 ms switching delay, sink" Address="0x1000" BitOffset="6" Direction="IN" Type="BOOL" />
    <Channel ID="DigitalInput08" Description="24 VDC, 0.2 to 25 ms switching delay, sink" Address="0x1000" BitOffset="7" Direction="IN" Type="BOOL" />
    <Channel ID="DigitalInput09" Description="24 VDC, 0.2 to 25 ms switching delay, sink" Address="0x1001" BitOffset="0" Direction="IN" Type="BOOL" />
    <Channel ID="DigitalInput10" Description="24 VDC, 0.2 to 25 ms switching delay, sink" Address="0x1001" BitOffset="1" Direction="IN" Type="BOOL" />
    <Channel ID="DigitalInput11" Description="24 VDC, 0.2 (2 µs) to 25 ms switching delay, sink" Address="0x1001" BitOffset="2" Direction="IN" Type="BOOL" />
    <Channel ID="DigitalInput12" Description="24 VDC, 0.2 (2 µs) to 25 ms switching delay, sink" Address="0x1001" BitOffset="3" Direction="IN" Type="BOOL" />
    <Channel ID="DigitalInput13" Description="24 VDC, 0.2 (2 µs) to 25 ms switching delay, sink" Address="0x1001" BitOffset="4" Direction="IN" Type="BOOL" />
    <Channel ID="DigitalInput14" Description="24 VDC, 0.2 (2 µs) to 25 ms switching delay, sink" Address="0x1001" BitOffset="5" Direction="IN" Type="BOOL" />
  </Module>
  <Module ID="X3" Hardware="X3" HardwareModuleName="X3" ModuleID="19" Simulatable="true">
    <Channel ID="DigitalOutput01" Description="24 VDC / 0.5 A, source" Address="0x2010" BitOffset="0" Direction="OUT" Type="BOOL" />
    <Channel ID="DigitalOutput02" Description="24 VDC / 0.5 A, source" Address="0x2010" BitOffset="1" Direction="OUT" Type="BOOL" />
    <Channel ID="DigitalOutput03" Description="24 VDC / 0.5 A, source" Address="0x2010" BitOffset="2" Direction="OUT" Type="BOOL" />
    <Channel ID="DigitalOutput04" Description="24 VDC / 0.5 A, source" Address="0x2010" BitOffset="3" Direction="OUT" Type="BOOL" />
    <Channel ID="DigitalOutput05" Description="24 VDC / 0.5 A, source" Address="0x2010" BitOffset="4" Direction="OUT" Type="BOOL" />
    <Channel ID="DigitalOutput06" Description="24 VDC / 0.5 A, source" Address="0x2010" BitOffset="5" Direction="OUT" Type="BOOL" />
    <Channel ID="DigitalOutput07" Description="24 VDC / 0.5 A, source" Address="0x2010" BitOffset="6" Direction="OUT" Type="BOOL" />
    <Channel ID="DigitalOutput08" Description="24 VDC / 0.5 A, source" Address="0x2010" BitOffset="7" Direction="OUT" Type="BOOL" />
    <Channel ID="DigitalOutput09" Description="24 VDC / 0.5 A, source" Address="0x2011" BitOffset="0" Direction="OUT" Type="BOOL" />
    <Channel ID="DigitalOutput10" Description="24 VDC / 0.5 A, source" Address="0x2011" BitOffset="1" Direction="OUT" Type="BOOL" />
    <Channel ID="DigitalOutput11" Description="24 VDC / 0.5 A, source" Address="0x2011" BitOffset="2" Direction="OUT" Type="BOOL" />
    <Channel ID="DigitalOutput12" Description="24 VDC / 0.5 A, source" Address="0x2011" BitOffset="3" Direction="OUT" Type="BOOL" />
    <Channel ID="StatusDigitalOutput01" Description="Status digital output 01" Address="0x2001" BitOffset="0" Direction="IN" Type="BOOL" />
    <Channel ID="StatusDigitalOutput02" Description="Status digital output 02" Address="0x2001" BitOffset="1" Direction="IN" Type="BOOL" />
    <Channel ID="StatusDigitalOutput03" Description="Status digital output 03" Address="0x2001" BitOffset="2" Direction="IN" Type="BOOL" />
    <Channel ID="StatusDigitalOutput04" Description="Status digital output 04" Address="0x2001" BitOffset="3" Direction="IN" Type="BOOL" />
    <Channel ID="StatusDigitalOutput05" Description="Status digital output 05" Address="0x2001" BitOffset="4" Direction="IN" Type="BOOL" />
    <Channel ID="StatusDigitalOutput06" Description="Status digital output 06" Address="0x2001" BitOffset="5" Direction="IN" Type="BOOL" />
    <Channel ID="StatusDigitalOutput07" Description="Status digital output 07" Address="0x2001" BitOffset="6" Direction="IN" Type="BOOL" />
    <Channel ID="StatusDigitalOutput08" Description="Status digital output 08" Address="0x2001" BitOffset="7" Direction="IN" Type="BOOL" />
    <Channel ID="StatusDigitalOutput09" Description="Status digital output 09" Address="0x2002" BitOffset="0" Direction="IN" Type="BOOL" />
    <Channel ID="StatusDigitalOutput10" Description="Status digital output 10" Address="0x2002" BitOffset="1" Direction="IN" Type="BOOL" />
    <Channel ID="StatusDigitalOutput11" Description="Status digital output 11" Address="0x2002" BitOffset="2" Direction="IN" Type="BOOL" />
    <Channel ID="StatusDigitalOutput12" Description="Status digital output 12" Address="0x2002" BitOffset="3" Direction="IN" Type="BOOL" />
    <Channel ID="StatusInput01" Description="I/O power supply warning (0 = DC OK)" Address="0x2004" Direction="IN" Type="BOOL" />
  </Module>
</ChannelConfiguration>